Subject: After M-x slime .lisp files are loaded in without slime minor mode
From: Charlie Burrows <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Wed, 25 Apr 2007 10:00:49 -0400

Package: slime
Version: 1:20061201-2
Severity: normal

I installed slime and sbcl. I opened an emacs and did M-x slime; all is 
well at this stage. I open a filename.lisp file and it opens in lisp 
mode without the slime minor mode so the keyboard shortcuts don't exist.
If I add: "(require 'slime)" and "(slime-setup)" (probably just the 
first one would do) then the problem goes away and all filename.lisp 
files open in lisp Slime mode.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages slime depends on:
ii  cl-swank                    1:20061201-2 Superior LISP Interaction Mode for
ii  emacsen-common              1.4.17       Common facilities for all emacsen

Versions of packages slime recommends:
ii  emacs [info-browser]        21.4a+1-5    The GNU Emacs editor (metapackage)
ii  emacs21 [info-browser]      21.4a+1-1    The GNU Emacs editor
ii  info [info-browser]         4.8.dfsg.1-4 Standalone GNU Info documentation 

-- no debconf information